﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BrezPonovitev
{
    class Program
    {
        static void Main(string[] args)
        {
            //izberemo, ali hocemo popraviti ali pokvariti besedilo
            Console.Write(
            "Ce zelis besedilo s prevec enakimi crkami popraviti in dobiti + tocke pri Ravnatelju vnesi y, \n" +
            "ce pa zelis besedilo popaciti in nekoga razjeziti vnesi n: ");
            String izbira = Console.ReadLine();
            char odgovor = izbira[0];

            //besedilo hocemo popraviti
            if (odgovor == 'y')
            {
                Console.Write("Vnesi besedilo, v katerem se crke ponavljajo: ");
                String vnos = Console.ReadLine();
                String popravljenoBesedilo = brezPonovitev(vnos);

                Console.WriteLine(popravljenoBesedilo);
                Console.ReadKey();
            }

           //besedilo hocemo pokvariti
            else
            {
                Console.Write("Vnesi besedilo, ki ga zelis pokvariti: ");
                String vnos = Console.ReadLine();
                String pokvarjenoBesedilo = veckratniIzpisCrk(vnos);

                Console.WriteLine(pokvarjenoBesedilo);
                Console.ReadKey();

                Console.WriteLine("Ali je nekdo prevec jezen nate? Zelis popraviti besedilo in vtis?");
                String popravljenoBesedilo = brezPonovitev(pokvarjenoBesedilo);
                Console.WriteLine(popravljenoBesedilo);
                Console.ReadKey();
            }
        }

        public static String veckratniIzpisCrk(String vhod)
        {
            String rezultat = "";

            for (int i = 0; i < vhod.Length; ++i)
            {
                //izracunamo nakljucno celo stevilo med 1 in 6
                Random random = new Random();
                int nakljucno = random.Next(1, 7);

                //v rezultat zapisemo nakljucno stevilo znakov
                for (int j = 0; j < nakljucno; ++j) rezultat = rezultat + vhod[i];
            }
            return rezultat;
        }

        public static String brezPonovitev(String vhod)
        {
            //zadnji znak, ki smo ga dodali v rezultat
            char zadnji = vhod[0];
            String rezultat = "" + zadnji;
            for (int i = 1; i < vhod.Length; ++i)
            {
                //ce je trenutni znak razlicen od zadnjega, ki smo ga dodali,
                //ga dodamo v rezultat
                char trenutni = vhod[i];
                if (trenutni != zadnji)
                {
                    zadnji = trenutni;
                    rezultat += trenutni;
                }
            }
            return rezultat;
        }

    }
}
