import javax.swing.JOptionPane;

public class BrezPonovitev {
	public static void main(String[] args) {
		// izberemo, ali hocemo popraviti ali pokvariti besedilo
		String izbira = JOptionPane
				.showInputDialog("Ce zelis besedilo s prevec enakimi crkami popraviti in dobiti + tocke pri Ravnatelju vnesi 'd', \n"
						+ "ce pa zelis besedilo popaciti in nekoga razjeziti vnesi 'n': ");
		char odgovor = izbira.charAt(0);

		// besedilo hocemo popraviti
		if (odgovor == 'y') {
			String vnos = JOptionPane
					.showInputDialog("Vnesi besedilo, v katerem se crke ponavljajo: ");

			String popravljenoBesedilo = brezPonovitev(vnos);
			JOptionPane.showMessageDialog(null, popravljenoBesedilo);
		}
		// besedilo hocemo pokvariti
		else {
			String vnos = JOptionPane.showInputDialog("Vnesi besedilo, ki ga zelis pokvariti: ");
			String pokvarjenoBesedilo = veckratniIzpisCrk(vnos);
			JOptionPane.showMessageDialog(null, pokvarjenoBesedilo);

			JOptionPane.showMessageDialog(null,
							"Ali je nekdo prevec jezen nate? Zelis popraviti besedilo in vtis?");
			String popravljenoBesedilo = brezPonovitev(pokvarjenoBesedilo);
			JOptionPane.showMessageDialog(null, popravljenoBesedilo);
		}
	}

	/**
	 * Iz vhodnega sestavi nov niz, v katerem se vsaka crka nakljucno
	 * ponovi od 1 do 6-krat.
	 */
	public static String veckratniIzpisCrk(String vhod) {
		String rezultat = "";

		for (int i = 0; i < vhod.length(); ++i) {
			// izracunamo nakljucno celo stevilo med 1 in 6
			int nakljucno = (int) (Math.random() * 6) + 1;

			// v rezultat zapisemo nakljucno stevilo znakov
			for (int j = 0; j < nakljucno; ++j)
				rezultat += vhod.charAt(i);
		}
		return rezultat;
	}

	/**
	 * Iz vhodnega niza sestavi nov niz, v katerem so odstranjene veckratne
	 * ponovitve znakov.
	 */
	public static String brezPonovitev(String vhod) {
		// zadnji znak, ki smo ga dodali v rezultat
		char zadnji = vhod.charAt(0);
		String rezultat = "" + zadnji;
		for (int i = 1; i < vhod.length(); ++i) {
			// ce je trenutni znak razlicen od zadnjega, ki smo ga dodali,
			// ga dodamo v rezultat
			char trenutni = vhod.charAt(i);
			if (trenutni != zadnji) {
				zadnji = trenutni;
				rezultat += trenutni;
			}
		}
		return rezultat;
	}
}
